# move

move, translate, a graphic entity and its children.

## Calling Sequence

    move(h,t)
                move(h,t,"alone")

## Arguments

h

  a handle, the handle of the entity to move.

t

  an array, either `[dx,dy]` or [dx,dy,dz], which gives the translation vector to apply.

"alone"

  string keyword (optional).

## Description

This routine can be used to apply a translation to a graphics entity. If the entity has children, they will be also translated.

Given the keyword `"alone"`, only the specified entity needs to be redrawn. It must specially be used with the `pixel_drawing_mode` property of the figure entity (see draw objects under `"xor"` drawing mode).

## Examples

    plot3d();
    a=gca();
    p=a.children(1);
    t=[1,0,-1.25];
    move(p,t);

plot3d(); a=gca(); p=a.children(1); t=[1,0,-1.25]; move(p,t);

## See Also

- get
- set
- figure_properties
- graphics_entities